6	:invoke	:txn	[[:append 0 1] [:r 1 nil]]
6	:ok	:txn	[[:append 0 1] [:r 1 nil]]
7	:invoke	:txn	[[:append 2 1] [:r 2 nil] [:r 0 nil]]
7	:ok	:txn	[[:append 2 1] [:r 2 [1]] [:r 0 [1]]]
3	:invoke	:txn	[[:r 2 nil] [:r 1 nil] [:r 2 nil]]
3	:ok	:txn	[[:r 2 [1]] [:r 1 nil] [:r 2 [1]]]
1	:invoke	:txn	[[:append 1 1] [:append 2 2]]
1	:ok	:txn	[[:append 1 1] [:append 2 2]]
:nemesis	:info	:kill	:primaries
2	:invoke	:txn	[[:r 0 nil] [:r 1 nil] [:append 2 3] [:append 2 4]]
4	:invoke	:txn	[[:r 2 nil]]
4	:ok	:txn	[[:r 2 [1 2]]]
:nemesis	:info	:kill	{"n3" nil}
:nemesis	:info	:bitflip-wal	{"n2" {:file "/opt/etcd/n2.etcd/member/wal/0000000000000000-0000000000000000.wal", :probability 0.001}}
9	:invoke	:txn	[[:append 2 5] [:append 2 6]]
9	:fail	:txn	[[:append 2 5] [:append 2 6]]	[:duplicate-key etcdserver: duplicate key given in txn request]
8	:invoke	:txn	[[:r 2 nil] [:append 2 7]]
8	:ok	:txn	[[:r 2 [1 2]] [:append 2 7]]
2	:info	:txn	[[:r 0 nil] [:r 1 nil] [:append 2 3] [:append 2 4]]	[:timeout nil]
4	:invoke	:txn	[[:r 1 nil] [:append 2 8]]
4	:ok	:txn	[[:r 1 [1]] [:append 2 8]]
9	:invoke	:txn	[[:r 1 nil] [:append 2 9] [:r 2 nil]]
9	:ok	:txn	[[:r 1 [1]] [:append 2 9] [:r 2 [1 2 7 8 9]]]
3	:invoke	:txn	[[:append 2 10] [:append 1 2] [:r 1 nil] [:append 1 3]]
3	:fail	:txn	[[:append 2 10] [:append 1 2] [:r 1 nil] [:append 1 3]]	[:duplicate-key etcdserver: duplicate key given in txn request]
1	:invoke	:txn	[[:append 2 11] [:r 2 nil]]
:nemesis	:info	:bitflip-wal	{"n2" ""}
:nemesis	:info	:start	:all
1	:ok	:txn	[[:append 2 11] [:r 2 [1 2 7 8 9 11]]]
:nemesis	:info	:start	{"n1" :already-running, "n2" :already-running, "n3" :started, "n4" :already-running, "n5" :already-running}
5	:invoke	:txn	[[:r 2 nil]]
5	:ok	:txn	[[:r 2 [1 2 7 8 9 11]]]
12	:invoke	:txn	[[:append 1 4] [:append 2 12] [:append 1 5] [:r 2 nil]]
12	:fail	:txn	[[:append 1 4] [:append 2 12] [:append 1 5] [:r 2 nil]]	[:duplicate-key etcdserver: duplicate key given in txn request]
7	:invoke	:txn	[[:r 2 nil] [:append 2 13]]
7	:ok	:txn	[[:r 2 [1 2 7 8 9 11]] [:append 2 13]]
12	:invoke	:txn	[[:append 0 2] [:append 2 14]]
12	:ok	:txn	[[:append 0 2] [:append 2 14]]
:nemesis	:info	:bitflip-wal	{"n1" {:file "/opt/etcd/n1.etcd/member/wal/0.tmp", :probability 0.001}}
7	:invoke	:txn	[[:append 0 3] [:r 2 nil]]
7	:ok	:txn	[[:append 0 3] [:r 2 [1 2 7 8 9 11 13 14]]]
12	:invoke	:txn	[[:append 0 4] [:append 2 15] [:r 1 nil]]
12	:ok	:txn	[[:append 0 4] [:append 2 15] [:r 1 [1]]]
7	:invoke	:txn	[[:r 2 nil] [:r 2 nil] [:r 1 nil] [:r 1 nil]]
7	:ok	:txn	[[:r 2 [1 2 7 8 9 11 13 14 15]] [:r 2 [1 2 7 8 9 11 13 14 15]] [:r 1 [1]] [:r 1 [1]]]
:nemesis	:info	:bitflip-wal	{"n1" ""}
:nemesis	:info	:bitflip-wal	{"n2" {:file "/opt/etcd/n2.etcd/member/wal/0.tmp", :probability 0.001}}
1	:invoke	:txn	[[:append 1 6] [:append 1 7] [:r 2 nil]]
1	:fail	:txn	[[:append 1 6] [:append 1 7] [:r 2 nil]]	[:duplicate-key etcdserver: duplicate key given in txn request]
6	:invoke	:txn	[[:append 2 16] [:append 0 5]]
6	:ok	:txn	[[:append 2 16] [:append 0 5]]
4	:invoke	:txn	[[:append 2 17]]
8	:invoke	:txn	[[:r 2 nil] [:append 2 18]]
4	:ok	:txn	[[:append 2 17]]
8	:ok	:txn	[[:r 2 [1 2 7 8 9 11 13 14 15 16 17]] [:append 2 18]]
5	:invoke	:txn	[[:r 2 nil] [:r 2 nil] [:append 2 19] [:r 2 nil]]
5	:ok	:txn	[[:r 2 [1 2 7 8 9 11 13 14 15 16 17 18]] [:r 2 [1 2 7 8 9 11 13 14 15 16 17 18]] [:append 2 19] [:r 2 [1 2 7 8 9 11 13 14 15 16 17 18 19]]]
4	:invoke	:txn	[[:r 0 nil]]
4	:ok	:txn	[[:r 0 [1 2 3 4 5]]]
8	:invoke	:txn	[[:append 2 20] [:append 1 8] [:r 0 nil]]
8	:ok	:txn	[[:append 2 20] [:append 1 8] [:r 0 [1 2 3 4 5]]]
0	:invoke	:txn	[[:r 2 nil] [:r 0 nil]]
0	:ok	:txn	[[:r 2 [1 2 7 8 9 11 13 14 15 16 17 18 19 20]] [:r 0 [1 2 3 4 5]]]
:nemesis	:info	:bitflip-wal	{"n2" ""}
:nemesis	:info	:kill	:all
1	:invoke	:txn	[[:append 1 9] [:r 2 nil] [:append 0 6] [:append 2 21]]
5	:invoke	:txn	[[:append 2 22] [:r 1 nil] [:append 0 7]]
:nemesis	:info	:kill	{"n1" nil, "n2" nil, "n3" nil, "n4" nil, "n5" nil}
:nemesis	:info	:bitflip-wal	{"n2" {:file "/opt/etcd/n2.etcd/member/wal/0000000000000000-0000000000000000.wal", :probability 0.001}}
3	:invoke	:txn	[[:append 1 10] [:r 2 nil] [:append 2 23]]
6	:invoke	:txn	[[:r 0 nil] [:r 0 nil] [:r 1 nil] [:r 2 nil]]
1	:info	:txn	[[:append 1 9] [:r 2 nil] [:append 0 6] [:append 2 21]]	[:timeout nil]
11	:invoke	:txn	[[:append 2 24]]
5	:info	:txn	[[:append 2 22] [:r 1 nil] [:append 0 7]]	[:timeout nil]
3	:info	:txn	[[:append 1 10] [:r 2 nil] [:append 2 23]]	[:timeout nil]
7	:invoke	:txn	[[:r 0 nil] [:append 2 25]]
:nemesis	:info	:bitflip-wal	{"n2" ""}
:nemesis	:info	:bitflip-wal	{"n2" {:file "/opt/etcd/n2.etcd/member/wal/0000000000000000-0000000000000000.wal", :probability 0.001}}
9	:invoke	:txn	[[:r 2 nil] [:append 2 26]]
6	:info	:txn	[[:r 0 nil] [:r 0 nil] [:r 1 nil] [:r 2 nil]]	[:timeout nil]
0	:invoke	:txn	[[:append 2 27] [:append 2 28] [:r 2 nil] [:r 1 nil]]
11	:info	:txn	[[:append 2 24]]	[:timeout nil]
15	:invoke	:txn	[[:r 2 nil] [:append 1 11]]
13	:invoke	:txn	[[:r 1 nil] [:append 2 29]]
7	:info	:txn	[[:r 0 nil] [:append 2 25]]	[:timeout nil]
12	:invoke	:txn	[[:r 0 nil] [:append 0 8]]
9	:info	:txn	[[:r 2 nil] [:append 2 26]]	[:timeout nil]
:nemesis	:info	:bitflip-wal	{"n2" ""}
:nemesis	:info	:start	:all
19	:invoke	:txn	[[:r 1 nil] [:append 1 12]]
:nemesis	:info	:start	{"n1" :started, "n2" :started, "n3" :started, "n4" :started, "n5" :started}
:nemesis	:info	:kill	:primaries
:nemesis	:info	:kill	{}
19	:ok	:txn	[[:r 1 [1 8]] [:append 1 12]]
0	:info	:txn	[[:append 2 27] [:append 2 28] [:r 2 nil] [:r 1 nil]]	[:timeout nil]
13	:ok	:txn	[[:r 1 [1 8 12]] [:append 2 29]]
15	:ok	:txn	[[:r 2 [1 2 7 8 9 11 13 14 15 16 17 18 19 20 29]] [:append 1 11]]
12	:ok	:txn	[[:r 0 [1 2 3 4 5]] [:append 0 8]]
16	:invoke	:txn	[[:r 1 nil] [:append 0 9] [:r 1 nil] [:append 2 30]]
:nemesis	:info	:bitflip-wal	{"n2" {:file "/opt/etcd/n2.etcd/member/wal/0.tmp", :probability 0.001}}
12	:invoke	:txn	[[:r 1 nil] [:r 2 nil] [:append 2 31] [:append 1 13]]
12	:ok	:txn	[[:r 1 [1 8 12 11]] [:r 2 [1 2 7 8 9 11 13 14 15 16 17 18 19 20 29]] [:append 2 31] [:append 1 13]]
13	:invoke	:txn	[[:append 2 32] [:r 3 nil] [:r 3 nil] [:r 3 nil]]
13	:ok	:txn	[[:append 2 32] [:r 3 nil] [:r 3 nil] [:r 3 nil]]
13	:invoke	:txn	[[:append 3 1] [:append 3 2] [:append 3 3]]
13	:fail	:txn	[[:append 3 1] [:append 3 2] [:append 3 3]]	[:duplicate-key etcdserver: duplicate key given in txn request]
21	:invoke	:txn	[[:append 3 4] [:r 0 nil]]
16	:info	:txn	[[:r 1 nil] [:append 0 9] [:r 1 nil] [:append 2 30]]	[:timeout nil]
17	:invoke	:txn	[[:append 3 5]]
17	:ok	:txn	[[:append 3 5]]
10	:invoke	:txn	[[:append 3 6] [:r 0 nil]]
10	:ok	:txn	[[:append 3 6] [:r 0 [1 2 3 4 5 8]]]
10	:invoke	:txn	[[:append 3 7]]
:nemesis	:info	:bitflip-wal	{"n2" ""}
:nemesis	:info	:start	:all
10	:ok	:txn	[[:append 3 7]]
:nemesis	:info	:start	{"n1" :already-running, "n2" :started, "n3" :already-running, "n4" :already-running, "n5" :already-running}
15	:invoke	:txn	[[:r 3 nil] [:append 1 14] [:r 3 nil] [:append 3 8]]
15	:ok	:txn	[[:r 3 [5 6 7]] [:append 1 14] [:r 3 [5 6 7]] [:append 3 8]]
13	:invoke	:txn	[[:append 3 9]]
:nemesis	:info	:bitflip-wal	{"n2" {:file "/opt/etcd/n2.etcd/member/wal/0000000000000000-0000000000000000.wal", :probability 0.001}}
13	:ok	:txn	[[:append 3 9]]
21	:info	:txn	[[:append 3 4] [:r 0 nil]]	[:timeout nil]
19	:invoke	:txn	[[:r 3 nil] [:r 1 nil] [:append 1 15] [:r 1 nil]]
19	:ok	:txn	[[:r 3 [5 6 7 8 9]] [:r 1 [1 8 12 11 13 14]] [:append 1 15] [:r 1 [1 8 12 11 13 14 15]]]
19	:invoke	:txn	[[:r 1 nil]]
19	:ok	:txn	[[:r 1 [1 8 12 11 13 14 15]]]
10	:invoke	:txn	[[:append 1 16] [:append 3 10] [:append 1 17] [:append 3 11]]
10	:fail	:txn	[[:append 1 16] [:append 3 10] [:append 1 17] [:append 3 11]]	[:duplicate-key etcdserver: duplicate key given in txn request]
4	:invoke	:txn	[[:append 3 12]]
4	:ok	:txn	[[:append 3 12]]
4	:invoke	:txn	[[:r 1 nil] [:r 1 nil] [:append 3 13] [:append 3 14]]
4	:fail	:txn	[[:r 1 nil] [:r 1 nil] [:append 3 13] [:append 3 14]]	[:duplicate-key etcdserver: duplicate key given in txn request]
:nemesis	:info	:bitflip-wal	{"n2" ""}
:nemesis	:info	:kill	:all
4	:invoke	:txn	[[:append 1 18]]
26	:invoke	:txn	[[:append 3 15]]
:nemesis	:info	:kill	{"n1" nil, "n2" nil, "n3" nil, "n4" nil, "n5" nil}
:nemesis	:info	:bitflip-wal	{"n1" {:file "/opt/etcd/n1.etcd/member/wal/0000000000000000-0000000000000000.wal", :probability 0.001}}
13	:invoke	:txn	[[:append 3 16] [:r 3 nil] [:r 3 nil] [:append 1 19]]
19	:invoke	:txn	[[:r 3 nil] [:append 3 17] [:append 3 18] [:append 3 19]]
17	:invoke	:txn	[[:r 3 nil]]
4	:info	:txn	[[:append 1 18]]	[:timeout nil]
31	:invoke	:txn	[[:append 3 20] [:append 3 21] [:r 3 nil]]
26	:info	:txn	[[:append 3 15]]	[:timeout nil]
14	:invoke	:txn	[[:r 1 nil] [:r 0 nil] [:append 3 22]]
10	:invoke	:txn	[[:r 1 nil]]
:nemesis	:info	:bitflip-wal	{"n1" ""}
:nemesis	:info	:bitflip-wal	{"n1" {:file "/opt/etcd/n1.etcd/member/wal/0000000000000000-0000000000000000.wal", :probability 0.001}}
13	:info	:txn	[[:append 3 16] [:r 3 nil] [:r 3 nil] [:append 1 19]]	[:timeout nil]
12	:invoke	:txn	[[:append 1 20]]
19	:info	:txn	[[:r 3 nil] [:append 3 17] [:append 3 18] [:append 3 19]]	[:timeout nil]
17	:info	:txn	[[:r 3 nil]]	[:timeout nil]
29	:invoke	:txn	[[:append 1 21] [:r 1 nil] [:append 0 10]]
31	:info	:txn	[[:append 3 20] [:append 3 21] [:r 3 nil]]	[:timeout nil]
27	:invoke	:txn	[[:append 3 23]]
14	:info	:txn	[[:r 1 nil] [:r 0 nil] [:append 3 22]]	[:timeout nil]
10	:info	:txn	[[:r 1 nil]]	[:timeout nil]
23	:invoke	:txn	[[:append 3 24] [:r 3 nil] [:append 1 22]]
24	:invoke	:txn	[[:r 3 nil] [:append 3 25] [:append 3 26]]
20	:invoke	:txn	[[:r 3 nil]]
12	:info	:txn	[[:append 1 20]]	[:timeout nil]
:nemesis	:info	:bitflip-wal	{"n1" ""}
:nemesis	:info	:start	:all
:nemesis	:info	:start	{"n1" :started, "n2" :started, "n3" :started, "n4" :started, "n5" :started}
:nemesis	:info	:bitflip-wal	{"n2" {:file "/opt/etcd/n2.etcd/member/wal/0.tmp", :probability 0.001}}
23	:ok	:txn	[[:append 3 24] [:r 3 [5 6 7 8 9 12 24]] [:append 1 22]]
27	:fail	:txn	[[:append 3 23]]	:didn't-succeed
36	:invoke	:txn	[[:append 1 23] [:append 3 27] [:append 3 28]]
29	:info	:txn	[[:append 1 21] [:r 1 nil] [:append 0 10]]	[:timeout nil]
24	:fail	:txn	[[:r 3 nil] [:append 3 25] [:append 3 26]]	[:duplicate-key etcdserver: duplicate key given in txn request]
23	:invoke	:txn	[[:r 3 nil] [:append 3 29] [:append 0 11]]
23	:ok	:txn	[[:r 3 [5 6 7 8 9 12 24]] [:append 3 29] [:append 0 11]]
15	:invoke	:txn	[[:append 3 30] [:append 3 31] [:append 0 12] [:r 3 nil]]
20	:info	:txn	[[:r 3 nil]]	[:timeout nil]
39	:invoke	:txn	[[:r 1 nil] [:r 3 nil]]
39	:ok	:txn	[[:r 1 [1 8 12 11 13 14 15 22]] [:r 3 [5 6 7 8 9 12 24 29]]]
36	:info	:txn	[[:append 1 23] [:append 3 27] [:append 3 28]]	[:timeout nil]
41	:invoke	:txn	[[:append 1 24] [:append 3 32] [:append 1 25] [:append 1 26]]
:nemesis	:info	:bitflip-wal	{"n2" ""}
:nemesis	:info	:bitflip-wal	{"n1" {:file "/opt/etcd/n1.etcd/member/wal/0000000000000000-0000000000000000.wal", :probability 0.001}}
23	:invoke	:txn	[[:r 0 nil]]
23	:ok	:txn	[[:r 0 [1 2 3 4 5 8 11]]]
39	:invoke	:txn	[[:append 0 13] [:r 1 nil]]
39	:ok	:txn	[[:append 0 13] [:r 1 [1 8 12 11 13 14 15 22]]]
15	:info	:txn	[[:append 3 30] [:append 3 31] [:append 0 12] [:r 3 nil]]	[:timeout nil]
25	:invoke	:txn	[[:r 3 nil]]
41	:info	:txn	[[:append 1 24] [:append 3 32] [:append 1 25] [:append 1 26]]	[:timeout nil]
30	:invoke	:txn	[[:r 3 nil] [:r 3 nil] [:r 0 nil] [:r 0 nil]]
:nemesis	:info	:bitflip-wal	{"n1" ""}
:nemesis	:info	:kill	:all
39	:invoke	:txn	[[:r 4 nil]]
25	:info	:txn	[[:r 3 nil]]	[:timeout nil]
:nemesis	:info	:kill	{"n1" nil, "n2" nil, "n3" nil, "n4" nil, "n5" nil}
35	:invoke	:txn	[[:append 1 27] [:r 4 nil] [:r 4 nil]]
24	:invoke	:txn	[[:append 4 1] [:r 0 nil]]
:nemesis	:info	:start	:all
30	:info	:txn	[[:r 3 nil] [:r 3 nil] [:r 0 nil] [:r 0 nil]]	[:timeout nil]
22	:invoke	:txn	[[:append 4 2] [:r 4 nil] [:r 4 nil]]
:nemesis	:info	:start	{"n1" :started, "n2" :started, "n3" :started, "n4" :started, "n5" :started}
:nemesis	:info	:bitflip-wal	{"n1" {:file "/opt/etcd/n1.etcd/member/wal/0.tmp", :probability 0.001}}
22	:ok	:txn	[[:append 4 2] [:r 4 [2]] [:r 4 [2]]]
39	:info	:txn	[[:r 4 nil]]	[:timeout nil]
24	:ok	:txn	[[:append 4 1] [:r 0 [1 2 3 4 5 8 11 13]]]
40	:invoke	:txn	[[:append 1 28] [:r 1 nil] [:r 1 nil]]
49	:invoke	:txn	[[:r 4 nil] [:append 4 3] [:append 1 29] [:r 4 nil]]
49	:ok	:txn	[[:r 4 [2 1]] [:append 4 3] [:append 1 29] [:r 4 [2 1 3]]]
35	:info	:txn	[[:append 1 27] [:r 4 nil] [:r 4 nil]]	[:timeout nil]
51	:invoke	:txn	[[:r 4 nil] [:append 0 14] [:r 4 nil]]
27	:invoke	:txn	[[:r 0 nil] [:r 4 nil]]
49	:invoke	:txn	[[:append 1 30] [:append 1 31] [:append 4 4] [:append 0 15]]
27	:ok	:txn	[[:r 0 [1 2 3 4 5 8 11 13]] [:r 4 [2 1 3]]]
49	:fail	:txn	[[:append 1 30] [:append 1 31] [:append 4 4] [:append 0 15]]	[:duplicate-key etcdserver: duplicate key given in txn request]
40	:info	:txn	[[:append 1 28] [:r 1 nil] [:r 1 nil]]	[:timeout nil]
45	:invoke	:txn	[[:append 4 5] [:r 4 nil] [:r 4 nil] [:append 4 6]]
:nemesis	:info	:bitflip-wal	{"n1" ""}
:nemesis	:info	:kill	:primaries
50	:invoke	:txn	[[:append 4 7] [:r 4 nil] [:append 4 8]]
51	:info	:txn	[[:r 4 nil] [:append 0 14] [:r 4 nil]]	[:timeout nil]
27	:invoke	:txn	[[:r 1 nil] [:r 4 nil] [:r 4 nil] [:r 1 nil]]
27	:ok	:txn	[[:r 1 [1 8 12 11 13 14 15 22 29]] [:r 4 [2 1 3]] [:r 4 [2 1 3]] [:r 1 [1 8 12 11 13 14 15 22 29]]]
23	:invoke	:txn	[[:r 4 nil] [:append 0 16] [:append 1 32] [:r 4 nil]]
23	:ok	:txn	[[:r 4 [2 1 3]] [:append 0 16] [:append 1 32] [:r 4 [2 1 3]]]
27	:invoke	:txn	[[:append 4 9]]
27	:ok	:txn	[[:append 4 9]]
45	:info	:txn	[[:append 4 5] [:r 4 nil] [:r 4 nil] [:append 4 6]]	[:timeout nil]
55	:invoke	:txn	[[:append 4 10]]
50	:info	:txn	[[:append 4 7] [:r 4 nil] [:append 4 8]]	[:timeout nil]
61	:invoke	:txn	[[:append 4 11]]
:nemesis	:info	:kill	{"n3" nil}
:nemesis	:info	:start	:all
:nemesis	:info	:start	{"n1" :started, "n2" :started, "n3" :started, "n4" :already-running, "n5" :already-running}
:nemesis	:info	:bitflip-wal	{"n2" {:file "/opt/etcd/n2.etcd/member/wal/0000000000000000-0000000000000000.wal", :probability 0.001}}
49	:invoke	:txn	[[:append 5 1]]
49	:ok	:txn	[[:append 5 1]]
49	:invoke	:txn	[[:append 0 17] [:append 0 18]]
49	:fail	:txn	[[:append 0 17] [:append 0 18]]	[:duplicate-key etcdserver: duplicate key given in txn request]
24	:invoke	:txn	[[:append 5 2] [:r 4 nil]]
23	:invoke	:txn	[[:r 4 nil] [:append 5 3] [:append 4 12]]
24	:ok	:txn	[[:append 5 2] [:r 4 [2 1 3 9]]]
23	:ok	:txn	[[:r 4 [2 1 3 9]] [:append 5 3] [:append 4 12]]
60	:invoke	:txn	[[:append 4 13] [:append 0 19]]
55	:info	:txn	[[:append 4 10]]	[:timeout nil]
22	:invoke	:txn	[[:r 5 nil]]
22	:ok	:txn	[[:r 5 [1 2 3]]]
24	:invoke	:txn	[[:r 5 nil] [:r 4 nil] [:append 4 14]]
61	:info	:txn	[[:append 4 11]]	[:timeout nil]
24	:ok	:txn	[[:r 5 [1 2 3]] [:r 4 [2 1 3 9 12]] [:append 4 14]]
65	:invoke	:txn	[[:append 4 15]]
22	:invoke	:txn	[[:r 5 nil] [:r 5 nil] [:r 4 nil]]
22	:ok	:txn	[[:r 5 [1 2 3]] [:r 5 [1 2 3]] [:r 4 [2 1 3 9 12 14]]]
:nemesis	:info	:bitflip-wal	{"n2" ""}
23	:invoke	:txn	[[:append 5 4] [:append 4 16] [:r 4 nil]]
:nemesis	:info	:kill	:primaries
23	:ok	:txn	[[:append 5 4] [:append 4 16] [:r 4 [2 1 3 9 12 14 16]]]
60	:info	:txn	[[:append 4 13] [:append 0 19]]	[:timeout nil]
70	:invoke	:txn	[[:r 4 nil]]
65	:info	:txn	[[:append 4 15]]	[:timeout nil]
71	:invoke	:txn	[[:r 5 nil] [:append 0 20] [:r 4 nil]]
49	:invoke	:txn	[[:r 4 nil] [:r 4 nil] [:append 5 5]]
49	:ok	:txn	[[:r 4 [2 1 3 9 12 14 16]] [:r 4 [2 1 3 9 12 14 16]] [:append 5 5]]
23	:invoke	:txn	[[:r 5 nil]]
23	:ok	:txn	[[:r 5 [1 2 3 4 5]]]
8	:invoke	:txn	[[:r 4 nil] [:r 4 nil]]
8	:ok	:txn	[[:r 4 [2 1 3 9 12 14 16]] [:r 4 [2 1 3 9 12 14 16]]]
8	:invoke	:txn	[[:append 4 17] [:append 0 21] [:append 5 6] [:append 4 18]]
70	:info	:txn	[[:r 4 nil]]	[:timeout nil]
:nemesis	:info	:kill	{"n3" nil}
:nemesis	:info	:bitflip-wal	{"n2" {:file "/opt/etcd/n2.etcd/member/wal/0.tmp", :probability 0.001}}
49	:invoke	:txn	[[:append 4 19] [:r 4 nil]]
46	:invoke	:txn	[[:append 4 20] [:append 4 21] [:r 5 nil] [:r 4 nil]]
71	:info	:txn	[[:r 5 nil] [:append 0 20] [:r 4 nil]]	[:timeout nil]
75	:invoke	:txn	[[:append 4 22] [:append 4 23] [:append 4 24]]
27	:invoke	:txn	[[:append 4 25] [:r 4 nil] [:append 0 22] [:append 4 26]]
22	:invoke	:txn	[[:r 4 nil] [:append 4 27] [:append 4 28]]
8	:info	:txn	[[:append 4 17] [:append 0 21] [:append 5 6] [:append 4 18]]	[:timeout nil]
49	:info	:txn	[[:append 4 19] [:r 4 nil]]	[:timeout nil]
:nemesis	:info	:bitflip-wal	{"n2" ""}
:nemesis	:info	:start	:all
46	:info	:txn	[[:append 4 20] [:append 4 21] [:r 5 nil] [:r 4 nil]]	[:timeout nil]
56	:invoke	:txn	[[:append 0 23] [:r 5 nil] [:r 4 nil]]
:nemesis	:info	:start	{"n1" :started, "n2" :started, "n3" :started, "n4" :already-running, "n5" :already-running}
:nemesis	:info	:bitflip-wal	{"n1" {:file "/opt/etcd/n1.etcd/member/wal/0.tmp", :probability 0.001}}
22	:fail	:txn	[[:r 4 nil] [:append 4 27] [:append 4 28]]	[:duplicate-key etcdserver: duplicate key given in txn request]
27	:fail	:txn	[[:append 4 25] [:r 4 nil] [:append 0 22] [:append 4 26]]	[:duplicate-key etcdserver: duplicate key given in txn request]
75	:info	:txn	[[:append 4 22] [:append 4 23] [:append 4 24]]	[:timeout nil]
18	:invoke	:txn	[[:append 4 29]]
18	:ok	:txn	[[:append 4 29]]
18	:invoke	:txn	[[:r 4 nil] [:append 0 24]]
18	:ok	:txn	[[:r 4 [2 1 3 9 12 14 16 29]] [:append 0 24]]
56	:info	:txn	[[:append 0 23] [:r 5 nil] [:r 4 nil]]	[:timeout nil]
85	:invoke	:txn	[[:r 0 nil] [:append 4 30] [:r 5 nil]]
:nemesis	:info	:bitflip-wal	{"n1" ""}
:nemesis	:info	:kill	:primaries
24	:invoke	:txn	[[:append 0 25] [:append 5 7]]
24	:ok	:txn	[[:append 0 25] [:append 5 7]]
66	:invoke	:txn	[[:append 0 26] [:append 5 8]]
22	:invoke	:txn	[[:append 5 9] [:r 4 nil]]
22	:ok	:txn	[[:append 5 9] [:r 4 [2 1 3 9 12 14 16 29]]]
85	:info	:txn	[[:r 0 nil] [:append 4 30] [:r 5 nil]]	[:timeout nil]
95	:invoke	:txn	[[:r 5 nil] [:append 0 27] [:append 5 10] [:append 4 31]]
24	:invoke	:txn	[[:append 4 32] [:append 6 1] [:r 5 nil]]
81	:invoke	:txn	[[:append 6 2] [:append 6 3]]
:nemesis	:info	:kill	{"n3" nil}
:nemesis	:info	:start	:all
66	:info	:txn	[[:append 0 26] [:append 5 8]]	[:timeout nil]
:nemesis	:info	:start	{"n1" :started, "n2" :started, "n3" :started, "n4" :already-running, "n5" :already-running}
:nemesis	:info	:bitflip-wal	{"n1" {:file "/opt/etcd/n1.etcd/member/wal/0.tmp", :probability 0.001}}
23	:invoke	:txn	[[:r 0 nil] [:append 6 4] [:append 6 5]]
23	:fail	:txn	[[:r 0 nil] [:append 6 4] [:append 6 5]]	[:duplicate-key etcdserver: duplicate key given in txn request]
24	:ok	:txn	[[:append 4 32] [:append 6 1] [:r 5 [1 2 3 4 5 7 9]]]
23	:invoke	:txn	[[:r 0 nil] [:r 5 nil] [:append 6 6] [:append 6 7]]
23	:fail	:txn	[[:r 0 nil] [:r 5 nil] [:append 6 6] [:append 6 7]]	[:duplicate-key etcdserver: duplicate key given in txn request]
95	:info	:txn	[[:r 5 nil] [:append 0 27] [:append 5 10] [:append 4 31]]	[:timeout nil]
22	:invoke	:txn	[[:append 6 8] [:r 0 nil]]
22	:ok	:txn	[[:append 6 8] [:r 0 [1 2 3 4 5 8 11 13 16 24 25]]]
27	:invoke	:txn	[[:append 6 9]]
27	:ok	:txn	[[:append 6 9]]
81	:info	:txn	[[:append 6 2] [:append 6 3]]	[:timeout nil]
23	:invoke	:txn	[[:append 6 10]]
23	:ok	:txn	[[:append 6 10]]
80	:invoke	:txn	[[:append 6 11] [:r 5 nil]]
:nemesis	:info	:bitflip-wal	{"n1" ""}
:nemesis	:info	:bitflip-wal	{"n1" {:file "/opt/etcd/n1.etcd/member/wal/0000000000000000-0000000000000000.wal", :probability 0.001}}
59	:invoke	:txn	[[:r 6 nil] [:r 5 nil] [:r 6 nil] [:r 6 nil]]
59	:ok	:txn	[[:r 6 [1 8 9 10]] [:r 5 [1 2 3 4 5 7 9]] [:r 6 [1 8 9 10]] [:r 6 [1 8 9 10]]]
76	:invoke	:txn	[[:r 6 nil] [:append 5 11] [:r 6 nil]]
27	:invoke	:txn	[[:append 5 12] [:r 5 nil]]
27	:ok	:txn	[[:append 5 12] [:r 5 [1 2 3 4 5 7 9 12]]]
105	:invoke	:txn	[[:r 5 nil] [:r 6 nil]]
80	:info	:txn	[[:append 6 11] [:r 5 nil]]	[:timeout nil]
91	:invoke	:txn	[[:append 6 12] [:append 6 13] [:append 6 14] [:r 6 nil]]
18	:invoke	:txn	[[:r 5 nil] [:append 6 15]]
18	:ok	:txn	[[:r 5 [1 2 3 4 5 7 9 12]] [:append 6 15]]
:nemesis	:info	:bitflip-wal	{"n1" ""}
:nemesis	:info	:bitflip-wal	{"n2" {:file "/opt/etcd/n2.etcd/member/wal/0000000000000000-0000000000000000.wal", :probability 0.001}}
76	:info	:txn	[[:r 6 nil] [:append 5 11] [:r 6 nil]]	[:timeout nil]
59	:invoke	:txn	[[:r 0 nil] [:r 6 nil] [:r 5 nil] [:r 5 nil]]
22	:invoke	:txn	[[:r 5 nil] [:r 5 nil] [:append 6 16] [:append 5 13]]
59	:ok	:txn	[[:r 0 [1 2 3 4 5 8 11 13 16 24 25]] [:r 6 [1 8 9 10 15]] [:r 5 [1 2 3 4 5 7 9 12]] [:r 5 [1 2 3 4 5 7 9 12]]]
22	:ok	:txn	[[:r 5 [1 2 3 4 5 7 9 12]] [:r 5 [1 2 3 4 5 7 9 12]] [:append 6 16] [:append 5 13]]
86	:invoke	:txn	[[:r 6 nil] [:r 6 nil]]
22	:invoke	:txn	[[:r 5 nil] [:r 6 nil]]
22	:ok	:txn	[[:r 5 [1 2 3 4 5 7 9 12 13]] [:r 6 [1 8 9 10 15 16]]]
105	:info	:txn	[[:r 5 nil] [:r 6 nil]]	[:timeout nil]
22	:invoke	:txn	[[:r 5 nil]]
22	:ok	:txn	[[:r 5 [1 2 3 4 5 7 9 12 13]]]
59	:invoke	:txn	[[:append 0 28] [:r 6 nil] [:r 6 nil]]
59	:ok	:txn	[[:append 0 28] [:r 6 [1 8 9 10 15 16]] [:r 6 [1 8 9 10 15 16]]]
91	:info	:txn	[[:append 6 12] [:append 6 13] [:append 6 14] [:r 6 nil]]	[:timeout nil]
101	:invoke	:txn	[[:r 0 nil] [:append 5 14] [:r 6 nil] [:r 5 nil]]
23	:invoke	:txn	[[:r 5 nil] [:append 6 17]]
23	:ok	:txn	[[:r 5 [1 2 3 4 5 7 9 12 13]] [:append 6 17]]
:nemesis	:info	:bitflip-wal	{"n2" ""}
:nemesis	:info	:bitflip-wal	{"n1" {:file "/opt/etcd/n1.etcd/member/wal/0000000000000000-0000000000000000.wal", :probability 0.001}}
86	:info	:txn	[[:r 6 nil] [:r 6 nil]]	[:timeout nil]
90	:invoke	:txn	[[:append 5 15] [:r 6 nil] [:append 6 18]]
23	:invoke	:txn	[[:append 5 16] [:append 0 29] [:r 5 nil]]
23	:ok	:txn	[[:append 5 16] [:append 0 29] [:r 5 [1 2 3 4 5 7 9 12 13 16]]]
24	:invoke	:txn	[[:append 6 19] [:r 5 nil]]
24	:ok	:txn	[[:append 6 19] [:r 5 [1 2 3 4 5 7 9 12 13 16]]]
22	:invoke	:txn	[[:r 6 nil] [:append 5 17] [:append 5 18] [:append 6 20]]
22	:fail	:txn	[[:r 6 nil] [:append 5 17] [:append 5 18] [:append 6 20]]	[:duplicate-key etcdserver: duplicate key given in txn request]
101	:info	:txn	[[:r 0 nil] [:append 5 14] [:r 6 nil] [:r 5 nil]]	[:timeout nil]
59	:invoke	:txn	[[:append 5 19] [:append 6 21]]
59	:ok	:txn	[[:append 5 19] [:append 6 21]]
90	:info	:txn	[[:append 5 15] [:r 6 nil] [:append 6 18]]	[:timeout nil]
:nemesis	:info	:bitflip-wal	{"n1" ""}
:nemesis	:info	:kill	:primaries
27	:invoke	:txn	[[:append 0 30]]
27	:ok	:txn	[[:append 0 30]]
59	:invoke	:txn	[[:r 6 nil]]
59	:ok	:txn	[[:r 6 [1 8 9 10 15 16 17 19 21]]]
96	:invoke	:txn	[[:r 6 nil] [:append 6 22]]
115	:invoke	:txn	[[:append 6 23] [:append 6 24] [:append 5 20]]
27	:invoke	:txn	[[:r 0 nil]]
27	:ok	:txn	[[:r 0 [1 2 3 4 5 8 11 13 16 24 25 28 29 30]]]
24	:invoke	:txn	[[:append 0 31] [:r 5 nil] [:r 6 nil]]
96	:info	:txn	[[:r 6 nil] [:append 6 22]]	[:timeout nil]
100	:invoke	:txn	[[:r 6 nil]]
:nemesis	:info	:kill	{"n3" nil}
:nemesis	:info	:start	:all
:nemesis	:info	:start	{"n1" :started, "n2" :started, "n3" :started, "n4" :already-running, "n5" :already-running}
:nemesis	:info	:bitflip-wal	{"n1" {:file "/opt/etcd/n1.etcd/member/wal/0.tmp", :probability 0.001}}
115	:info	:txn	[[:append 6 23] [:append 6 24] [:append 5 20]]	[:timeout nil]
22	:invoke	:txn	[[:append 0 32]]
22	:ok	:txn	[[:append 0 32]]
24	:ok	:txn	[[:append 0 31] [:r 5 [1 2 3 4 5 7 9 12 13 16 19]] [:r 6 [1 8 9 10 15 16 17 19 21]]]
23	:invoke	:txn	[[:append 6 25] [:r 5 nil] [:r 6 nil]]
23	:ok	:txn	[[:append 6 25] [:r 5 [1 2 3 4 5 7 9 12 13 16 19]] [:r 6 [1 8 9 10 15 16 17 19 21 25]]]
18	:invoke	:txn	[[:r 6 nil] [:append 6 26] [:append 6 27]]
18	:fail	:txn	[[:r 6 nil] [:append 6 26] [:append 6 27]]	[:duplicate-key etcdserver: duplicate key given in txn request]
125	:invoke	:txn	[[:r 0 nil] [:append 6 28]]
100	:info	:txn	[[:r 6 nil]]	[:timeout nil]
22	:invoke	:txn	[[:r 5 nil] [:append 6 29] [:r 6 nil]]
22	:ok	:txn	[[:r 5 [1 2 3 4 5 7 9 12 13 16 19]] [:append 6 29] [:r 6 [1 8 9 10 15 16 17 19 21 25 29]]]
:nemesis	:info	:bitflip-wal	{"n1" ""}
:nemesis	:info	:kill	:all
24	:invoke	:txn	[[:append 6 30] [:r 6 nil] [:r 0 nil] [:append 5 21]]
:nemesis	:info	:kill	{"n1" nil, "n2" nil, "n3" nil, "n4" nil, "n5" nil}
:nemesis	:info	:bitflip-wal	{"n2" {:file "/opt/etcd/n2.etcd/member/wal/0000000000000000-0000000000000000.wal", :probability 0.001}}
106	:invoke	:txn	[[:append 6 31] [:r 6 nil] [:r 5 nil] [:append 6 32]]
125	:info	:txn	[[:r 0 nil] [:append 6 28]]	[:timeout nil]
59	:invoke	:txn	[[:append 5 22]]
111	:invoke	:txn	[[:r 5 nil] [:append 5 23]]
24	:info	:txn	[[:append 6 30] [:r 6 nil] [:r 0 nil] [:append 5 21]]	[:timeout nil]
18	:invoke	:txn	[[:append 8 1] [:r 7 nil] [:r 7 nil] [:append 8 2]]
110	:invoke	:txn	[[:r 8 nil] [:r 5 nil] [:r 8 nil] [:r 7 nil]]
23	:invoke	:txn	[[:r 8 nil] [:r 5 nil]]
106	:info	:txn	[[:append 6 31] [:r 6 nil] [:r 5 nil] [:append 6 32]]	[:timeout nil]
:nemesis	:info	:bitflip-wal	{"n2" ""}
:nemesis	:info	:bitflip-wal	{"n2" {:file "/opt/etcd/n2.etcd/member/wal/0.tmp", :probability 0.001}}
59	:info	:txn	[[:append 5 22]]	[:timeout nil]
22	:invoke	:txn	[[:r 8 nil]]
111	:info	:txn	[[:r 5 nil] [:append 5 23]]	[:timeout nil]
27	:invoke	:txn	[[:append 8 3] [:r 5 nil] [:append 5 24] [:r 5 nil]]
18	:info	:txn	[[:append 8 1] [:r 7 nil] [:r 7 nil] [:append 8 2]]	[:timeout nil]
34	:invoke	:txn	[[:append 8 4] [:r 5 nil]]
110	:info	:txn	[[:r 8 nil] [:r 5 nil] [:r 8 nil] [:r 7 nil]]	[:timeout nil]
23	:info	:txn	[[:r 8 nil] [:r 5 nil]]	[:timeout nil]
135	:invoke	:txn	[[:r 5 nil]]
:nemesis	:info	:bitflip-wal	{"n2" ""}
:nemesis	:info	:bitflip-wal	{"n2" {:file "/opt/etcd/n2.etcd/member/wal/0.tmp", :probability 0.001}}
22	:info	:txn	[[:r 8 nil]]	[:timeout nil]
121	:invoke	:txn	[[:append 5 25] [:r 8 nil] [:append 7 1] [:append 8 5]]
116	:invoke	:txn	[[:r 5 nil]]
27	:info	:txn	[[:append 8 3] [:r 5 nil] [:append 5 24] [:r 5 nil]]	[:timeout nil]
120	:invoke	:txn	[[:r 8 nil] [:r 8 nil] [:append 8 6]]
34	:info	:txn	[[:append 8 4] [:r 5 nil]]	[:timeout nil]
69	:invoke	:txn	[[:append 8 7] [:r 8 nil]]
135	:info	:txn	[[:r 5 nil]]	[:timeout nil]
32	:invoke	:txn	[[:append 8 8] [:r 5 nil] [:append 8 9]]
121	:info	:txn	[[:append 5 25] [:r 8 nil] [:append 7 1] [:append 8 5]]	[:timeout nil]
44	:invoke	:txn	[[:append 8 10]]
:nemesis	:info	:bitflip-wal	{"n2" ""}
:nemesis	:info	:start	:all
:nemesis	:info	:start	{"n1" :started, "n2" :started, "n3" :started, "n4" :started, "n5" :started}
:nemesis	:info	:bitflip-wal	{"n1" {:file "/opt/etcd/n1.etcd/member/wal/0000000000000000-0000000000000000.wal", :probability 0.001}}
116	:info	:txn	[[:r 5 nil]]	[:timeout nil]
69	:ok	:txn	[[:append 8 7] [:r 8 [7]]]
145	:invoke	:txn	[[:r 5 nil] [:r 8 nil]]
32	:fail	:txn	[[:append 8 8] [:r 5 nil] [:append 8 9]]	[:duplicate-key etcdserver: duplicate key given in txn request]
120	:info	:txn	[[:r 8 nil] [:r 8 nil] [:append 8 6]]	[:timeout nil]
44	:ok	:txn	[[:append 8 10]]
44	:invoke	:txn	[[:append 5 26] [:append 5 27] [:r 5 nil] [:r 8 nil]]
44	:fail	:txn	[[:append 5 26] [:append 5 27] [:r 5 nil] [:r 8 nil]]	[:duplicate-key etcdserver: duplicate key given in txn request]
69	:invoke	:txn	[[:r 8 nil] [:r 5 nil] [:append 8 11] [:r 8 nil]]
69	:ok	:txn	[[:r 8 [7 10]] [:r 5 [1 2 3 4 5 7 9 12 13 16 19]] [:append 8 11] [:r 8 [7 10 11]]]
145	:info	:txn	[[:r 5 nil] [:r 8 nil]]	[:timeout nil]
130	:invoke	:txn	[[:append 5 28] [:append 5 29] [:append 8 12]]
33	:invoke	:txn	[[:append 8 13] [:r 8 nil]]
33	:ok	:txn	[[:append 8 13] [:r 8 [7 10 11 13]]]
:nemesis	:info	:bitflip-wal	{"n1" ""}
:nemesis	:info	:kill	:all
44	:invoke	:txn	[[:r 8 nil]]
:nemesis	:info	:kill	{"n1" nil, "n2" nil, "n3" nil, "n4" nil, "n5" nil}
:nemesis	:info	:bitflip-wal	{"n1" {:file "/opt/etcd/n1.etcd/member/wal/0.tmp", :probability 0.001}}
32	:invoke	:txn	[[:append 8 14]]
130	:info	:txn	[[:append 5 28] [:append 5 29] [:append 8 12]]	[:timeout nil]
126	:invoke	:txn	[[:r 8 nil] [:r 7 nil] [:append 5 30] [:append 5 31]]
131	:invoke	:txn	[[:append 5 32]]
33	:invoke	:txn	[[:append 8 15] [:r 8 nil] [:append 8 16] [:r 8 nil]]
140	:invoke	:txn	[[:append 9 1] [:append 8 17] [:append 9 2] [:r 9 nil]]
44	:info	:txn	[[:r 8 nil]]	[:timeout nil]
37	:invoke	:txn	[[:r 8 nil] [:r 8 nil]]
155	:invoke	:txn	[[:append 8 18]]
32	:info	:txn	[[:append 8 14]]	[:timeout nil]
:nemesis	:info	:bitflip-wal	{"n1" ""}
:nemesis	:info	:start	:all
:nemesis	:info	:start	{"n1" :started, "n2" :started, "n3" :started, "n4" :started, "n5" :started}
:nemesis	:info	:bitflip-wal	{"n1" {:file "/opt/etcd/n1.etcd/member/wal/0000000000000000-0000000000000000.wal", :probability 0.001}}
69	:invoke	:txn	[[:r 8 nil] [:append 9 3] [:append 8 19] [:append 7 2]]
54	:invoke	:txn	[[:append 8 20] [:append 8 21]]
126	:info	:txn	[[:r 8 nil] [:r 7 nil] [:append 5 30] [:append 5 31]]	[:timeout nil]
131	:info	:txn	[[:append 5 32]]	[:timeout nil]
141	:invoke	:txn	[[:append 8 22]]
33	:info	:txn	[[:append 8 15] [:r 8 nil] [:append 8 16] [:r 8 nil]]	[:timeout nil]
43	:invoke	:txn	[[:append 7 3]]
140	:info	:txn	[[:append 9 1] [:append 8 17] [:append 9 2] [:r 9 nil]]	[:timeout nil]
37	:info	:txn	[[:r 8 nil] [:r 8 nil]]	[:timeout nil]
150	:invoke	:txn	[[:r 7 nil] [:r 8 nil] [:r 8 nil]]
136	:invoke	:txn	[[:append 8 23] [:append 8 24]]
155	:info	:txn	[[:append 8 18]]	[:timeout nil]
165	:invoke	:txn	[[:r 9 nil] [:r 8 nil]]
69	:info	:txn	[[:r 8 nil] [:append 9 3] [:append 8 19] [:append 7 2]]	[:timeout nil]
47	:invoke	:txn	[[:r 8 nil] [:append 9 4]]
:nemesis	:info	:bitflip-wal	{"n1" ""}
54	:info	:txn	[[:append 8 20] [:append 8 21]]	[:timeout nil]
:nemesis	:info	:bitflip-wal	{"n2" {:file "/opt/etcd/n2.etcd/member/wal/0.tmp", :probability 0.001}}
141	:info	:txn	[[:append 8 22]]	[:timeout nil]
79	:invoke	:txn	[[:append 8 25] [:append 8 26] [:append 7 4] [:append 8 27]]
43	:info	:txn	[[:append 7 3]]	[:timeout nil]
42	:invoke	:txn	[[:append 9 5] [:r 8 nil] [:r 9 nil]]
150	:info	:txn	[[:r 7 nil] [:r 8 nil] [:r 8 nil]]	[:timeout nil]
136	:info	:txn	[[:append 8 23] [:append 8 24]]	[:timeout nil]
160	:invoke	:txn	[[:append 8 28] [:r 9 nil] [:append 9 6]]
165	:info	:txn	[[:r 9 nil] [:r 8 nil]]	[:timeout nil]
64	:invoke	:txn	[[:append 9 7]]
47	:info	:txn	[[:r 8 nil] [:append 9 4]]	[:timeout nil]
146	:invoke	:txn	[[:append 8 29] [:append 8 30]]
79	:info	:txn	[[:append 8 25] [:append 8 26] [:append 7 4] [:append 8 27]]	[:timeout nil]
:nemesis	:info	:bitflip-wal	{"n2" ""}
:nemesis	:info	:bitflip-wal	{"n1" {:file "/opt/etcd/n1.etcd/member/wal/0000000000000000-0000000000000000.wal", :probability 0.001}}
53	:invoke	:txn	[[:append 9 8] [:append 9 9] [:append 8 31]]
42	:info	:txn	[[:append 9 5] [:r 8 nil] [:r 9 nil]]	[:timeout nil]
175	:invoke	:txn	[[:append 8 32] [:r 8 nil] [:append 9 10] [:r 8 nil]]
64	:ok	:txn	[[:append 9 7]]
53	:fail	:txn	[[:append 9 8] [:append 9 9] [:append 8 31]]	[:duplicate-key etcdserver: duplicate key given in txn request]
160	:info	:txn	[[:append 8 28] [:r 9 nil] [:append 9 6]]	[:timeout nil]
53	:invoke	:txn	[[:r 9 nil] [:r 8 nil]]
53	:ok	:txn	[[:r 9 [7]] [:r 8 [7 10 11 13]]]
52	:invoke	:txn	[[:r 8 nil] [:append 7 5] [:r 8 nil]]
52	:ok	:txn	[[:r 8 [7 10 11 13]] [:append 7 5] [:r 8 [7 10 11 13]]]
146	:info	:txn	[[:append 8 29] [:append 8 30]]	[:timeout nil]
64	:invoke	:txn	[[:r 10 nil] [:append 10 1] [:append 10 2]]
64	:fail	:txn	[[:r 10 nil] [:append 10 1] [:append 10 2]]	[:duplicate-key etcdserver: duplicate key given in txn request]
53	:invoke	:txn	[[:r 10 nil] [:r 10 nil] [:append 7 6]]
53	:ok	:txn	[[:r 10 nil] [:r 10 nil] [:append 7 6]]
:nemesis	:info	:bitflip-wal	{"n1" ""}
:nemesis	:info	:bitflip-wal	{"n1" {:file "/opt/etcd/n1.etcd/member/wal/0000000000000000-0000000000000000.wal", :probability 0.001}}
53	:invoke	:txn	[[:append 9 11] [:r 10 nil]]
53	:ok	:txn	[[:append 9 11] [:r 10 nil]]
175	:info	:txn	[[:append 8 32] [:r 8 nil] [:append 9 10] [:r 8 nil]]	[:timeout nil]
170	:invoke	:txn	[[:append 10 3] [:append 10 4] [:append 9 12]]
53	:invoke	:txn	[[:r 7 nil] [:append 10 5] [:r 10 nil] [:r 9 nil]]
53	:ok	:txn	[[:r 7 [5 6]] [:append 10 5] [:r 10 [5]] [:r 9 [7 11]]]
89	:invoke	:txn	[[:r 10 nil] [:r 10 nil]]
89	:ok	:txn	[[:r 10 [5]] [:r 10 [5]]]
185	:invoke	:txn	[[:append 10 6] [:r 10 nil] [:append 9 13] [:append 10 7]]
:nemesis	:info	:bitflip-wal	{"n1" ""}
:nemesis	:info	:kill	:primaries
151	:invoke	:txn	[[:append 9 14] [:append 9 15] [:append 9 16] [:r 10 nil]]
170	:info	:txn	[[:append 10 3] [:append 10 4] [:append 9 12]]	[:timeout nil]
180	:invoke	:txn	[[:r 9 nil] [:r 10 nil] [:r 10 nil]]
64	:invoke	:txn	[[:append 10 8] [:append 7 7] [:r 10 nil]]
64	:ok	:txn	[[:append 10 8] [:append 7 7] [:r 10 [5 8]]]
52	:invoke	:txn	[[:append 9 17]]
52	:ok	:txn	[[:append 9 17]]
64	:invoke	:txn	[[:r 9 nil]]
64	:ok	:txn	[[:r 9 [7 11 17]]]
185	:info	:txn	[[:append 10 6] [:r 10 nil] [:append 9 13] [:append 10 7]]	[:timeout nil]
151	:info	:txn	[[:append 9 14] [:append 9 15] [:append 9 16] [:r 10 nil]]	[:timeout nil]
64	:invoke	:txn	[[:r 7 nil] [:r 10 nil]]
57	:invoke	:txn	[[:r 7 nil] [:r 10 nil] [:r 10 nil]]
:nemesis	:info	:kill	{"n5" nil}
:nemesis	:info	:start	:all
180	:info	:txn	[[:r 9 nil] [:r 10 nil] [:r 10 nil]]	[:timeout nil]
53	:invoke	:txn	[[:r 7 nil] [:r 10 nil] [:r 10 nil]]
:nemesis	:info	:start	{"n1" :started, "n2" :started, "n3" :already-running, "n4" :already-running, "n5" :started}
:nemesis	:info	:bitflip-wal	{"n1" {:file "/opt/etcd/n1.etcd/member/wal/0000000000000000-0000000000000000.wal", :probability 0.001}}
195	:invoke	:txn	[[:r 9 nil]]
64	:ok	:txn	[[:r 7 [5 6 7]] [:r 10 [5 8]]]
89	:invoke	:txn	[[:append 10 9] [:append 10 10] [:append 10 11] [:r 9 nil]]
89	:fail	:txn	[[:append 10 9] [:append 10 10] [:append 10 11] [:r 9 nil]]	[:duplicate-key etcdserver: duplicate key given in txn request]
53	:ok	:txn	[[:r 7 [5 6 7]] [:r 10 [5 8]] [:r 10 [5 8]]]
57	:ok	:txn	[[:r 7 [5 6 7]] [:r 10 [5 8]] [:r 10 [5 8]]]
89	:invoke	:txn	[[:append 10 12] [:append 10 13] [:r 10 nil]]
156	:invoke	:txn	[[:append 7 8]]
89	:fail	:txn	[[:append 10 12] [:append 10 13] [:r 10 nil]]	[:duplicate-key etcdserver: duplicate key given in txn request]
190	:invoke	:txn	[[:r 10 nil]]
57	:invoke	:txn	[[:r 10 nil]]
57	:ok	:txn	[[:r 10 [5 8]]]
89	:invoke	:txn	[[:r 9 nil] [:r 10 nil] [:append 7 9]]
89	:ok	:txn	[[:r 9 [7 11 17]] [:r 10 [5 8]] [:append 7 9]]
53	:invoke	:txn	[[:append 7 10]]
53	:ok	:txn	[[:append 7 10]]
195	:info	:txn	[[:r 9 nil]]	[:timeout nil]
52	:invoke	:txn	[[:r 9 nil] [:r 10 nil] [:append 10 14] [:append 7 11]]
52	:ok	:txn	[[:r 9 [7 11 17]] [:r 10 [5 8]] [:append 10 14] [:append 7 11]]
:nemesis	:info	:bitflip-wal	{"n1" ""}
:nemesis	:info	:kill	:primaries
64	:invoke	:txn	[[:append 10 15] [:r 10 nil] [:append 7 12]]
64	:ok	:txn	[[:append 10 15] [:r 10 [5 8 14 15]] [:append 7 12]]
156	:info	:txn	[[:append 7 8]]	[:timeout nil]
161	:invoke	:txn	[[:append 7 13]]
190	:info	:txn	[[:r 10 nil]]	[:timeout nil]
57	:invoke	:txn	[[:r 10 nil]]
57	:ok	:txn	[[:r 10 [5 8 14 15]]]
89	:invoke	:txn	[[:append 9 18]]
89	:ok	:txn	[[:append 9 18]]
57	:invoke	:txn	[[:append 10 16] [:append 10 17] [:r 9 nil]]
161	:info	:txn	[[:append 7 13]]	[:timeout nil]
64	:invoke	:txn	[[:r 9 nil] [:r 7 nil] [:append 9 19]]
:nemesis	:info	:kill	{"n5" nil}
:nemesis	:info	:bitflip-wal	{"n2" {:file "/opt/etcd/n2.etcd/member/wal/0.tmp", :probability 0.001}}
205	:invoke	:txn	[[:r 10 nil] [:r 9 nil]]
171	:invoke	:txn	[[:r 9 nil]]
57	:info	:txn	[[:append 10 16] [:append 10 17] [:r 9 nil]]	[:timeout nil]
166	:invoke	:txn	[[:r 10 nil]]
67	:invoke	:txn	[[:append 10 18] [:append 10 19] [:append 10 20] [:append 10 21]]
64	:info	:txn	[[:r 9 nil] [:r 7 nil] [:append 9 19]]	[:timeout nil]
200	:invoke	:txn	[[:r 9 nil] [:r 10 nil]]
53	:invoke	:txn	[[:append 10 22] [:r 7 nil] [:append 10 23] [:append 10 24]]
205	:info	:txn	[[:r 10 nil] [:r 9 nil]]	[:timeout nil]
:nemesis	:info	:bitflip-wal	{"n2" ""}
:nemesis	:info	:bitflip-wal	{"n1" {:file "/opt/etcd/n1.etcd/member/wal/0000000000000000-0000000000000000.wal", :probability 0.001}}
171	:info	:txn	[[:r 9 nil]]	[:timeout nil]
215	:invoke	:txn	[[:r 9 nil] [:append 10 25] [:r 10 nil]]
166	:info	:txn	[[:r 10 nil]]	[:timeout nil]
89	:invoke	:txn	[[:append 10 26]]
181	:invoke	:txn	[[:append 10 27]]
67	:info	:txn	[[:append 10 18] [:append 10 19] [:append 10 20] [:append 10 21]]	[:timeout nil]
200	:info	:txn	[[:r 9 nil] [:r 10 nil]]	[:timeout nil]
53	:info	:txn	[[:append 10 22] [:r 7 nil] [:append 10 23] [:append 10 24]]	[:timeout nil]
63	:invoke	:txn	[[:r 9 nil] [:r 10 nil] [:r 9 nil]]
:nemesis	:info	:bitflip-wal	{"n1" ""}
52	:invoke	:txn	[[:append 10 28] [:r 7 nil] [:append 9 20]]
:nemesis	:info	:start	:all
:nemesis	:info	:start	{"n1" :started, "n2" :started, "n3" :already-running, "n4" :already-running, "n5" :started}
215	:info	:txn	[[:r 9 nil] [:append 10 25] [:r 10 nil]]	[:timeout nil]
63	:ok	:txn	[[:r 9 [7 11 17 18]] [:r 10 [5 8 14 15]] [:r 9 [7 11 17 18]]]
210	:invoke	:txn	[[:r 9 nil]]
52	:ok	:txn	[[:append 10 28] [:r 7 [5 6 7 9 10 11 12]] [:append 9 20]]
89	:info	:txn	[[:append 10 26]]	[:timeout nil]
77	:invoke	:txn	[[:append 9 21]]
181	:info	:txn	[[:append 10 27]]	[:timeout nil]
77	:ok	:txn	[[:append 9 21]]
:nemesis	:info	:bitflip-wal	{"n1" {:file "/opt/etcd/n1.etcd/member/wal/0000000000000000-0000000000000000.wal", :probability 0.001}}
77	:invoke	:txn	[[:append 7 14] [:r 10 nil]]
77	:ok	:txn	[[:append 7 14] [:r 10 [5 8 14 15 28]]]
52	:invoke	:txn	[[:r 10 nil] [:append 10 29]]
52	:ok	:txn	[[:r 10 [5 8 14 15 28]] [:append 10 29]]
210	:info	:txn	[[:r 9 nil]]	[:timeout nil]
74	:invoke	:txn	[[:r 10 nil] [:r 10 nil]]
74	:ok	:txn	[[:r 10 [5 8 14 15 28 29]] [:r 10 [5 8 14 15 28 29]]]
52	:invoke	:txn	[[:append 10 30] [:append 10 31]]
52	:fail	:txn	[[:append 10 30] [:append 10 31]]	[:duplicate-key etcdserver: duplicate key given in txn request]
:nemesis	:info	:bitflip-wal	{"n1" ""}
:nemesis	:info	:kill	:primaries
63	:invoke	:txn	[[:append 10 32]]
63	:ok	:txn	[[:append 10 32]]
220	:invoke	:txn	[[:append 9 22]]
191	:invoke	:txn	[[:append 9 23] [:r 11 nil]]
176	:invoke	:txn	[[:append 11 1] [:append 11 2] [:append 7 15] [:append 11 3]]
225	:invoke	:txn	[[:r 11 nil] [:append 11 4] [:r 9 nil]]
28	:invoke	:txn	[[:r 7 nil]]
74	:invoke	:txn	[[:append 11 5] [:append 7 16] [:r 11 nil] [:append 9 24]]
99	:invoke	:txn	[[:r 9 nil]]
63	:invoke	:txn	[[:r 9 nil] [:r 11 nil] [:r 7 nil] [:r 11 nil]]
220	:info	:txn	[[:append 9 22]]	[:timeout nil]
:nemesis	:info	:kill	{"n3" nil}
:nemesis	:info	:start	:all
:nemesis	:info	:start	{"n1" :started, "n2" :started, "n3" :started, "n4" :already-running, "n5" :already-running}
77	:invoke	:txn	[[:append 11 6] [:r 7 nil] [:append 7 17]]
:nemesis	:info	:bitflip-wal	{"n2" {:file "/opt/etcd/n2.etcd/member/wal/0.tmp", :probability 0.001}}
63	:ok	:txn	[[:r 9 [7 11 17 18 20 21]] [:r 11 nil] [:r 7 [5 6 7 9 10 11 12 14]] [:r 11 nil]]
77	:ok	:txn	[[:append 11 6] [:r 7 [5 6 7 9 10 11 12 14]] [:append 7 17]]
99	:ok	:txn	[[:r 9 [7 11 17 18 20 21]]]
28	:ok	:txn	[[:r 7 [5 6 7 9 10 11 12 14 17]]]
74	:ok	:txn	[[:append 11 5] [:append 7 16] [:r 11 [6 5]] [:append 9 24]]
191	:info	:txn	[[:append 9 23] [:r 11 nil]]	[:timeout nil]
176	:info	:txn	[[:append 11 1] [:append 11 2] [:append 7 15] [:append 11 3]]	[:timeout nil]
28	:invoke	:txn	[[:r 7 nil] [:r 11 nil] [:append 11 7] [:append 11 8]]
225	:info	:txn	[[:r 11 nil] [:append 11 4] [:r 9 nil]]	[:timeout nil]
28	:fail	:txn	[[:r 7 nil] [:r 11 nil] [:append 11 7] [:append 11 8]]	[:duplicate-key etcdserver: duplicate key given in txn request]
63	:invoke	:txn	[[:r 11 nil] [:append 9 25]]
63	:ok	:txn	[[:r 11 [6 5]] [:append 9 25]]
235	:invoke	:txn	[[:r 9 nil]]
230	:invoke	:txn	[[:append 9 26]]
63	:invoke	:txn	[[:append 9 27] [:r 9 nil] [:r 7 nil] [:r 9 nil]]
63	:ok	:txn	[[:append 9 27] [:r 9 [7 11 17 18 20 21 24 25 27]] [:r 7 [5 6 7 9 10 11 12 14 17 16]] [:r 9 [7 11 17 18 20 21 24 25 27]]]
77	:invoke	:txn	[[:r 11 nil] [:r 11 nil] [:r 9 nil]]
77	:ok	:txn	[[:r 11 [6 5]] [:r 11 [6 5]] [:r 9 [7 11 17 18 20 21 24 25 27]]]
:nemesis	:info	:bitflip-wal	{"n2" ""}
:nemesis	:info	:kill	:primaries
77	:invoke	:txn	[[:append 9 28] [:r 9 nil]]
77	:ok	:txn	[[:append 9 28] [:r 9 [7 11 17 18 20 21 24 25 27 28]]]
235	:info	:txn	[[:r 9 nil]]	[:timeout nil]
77	:invoke	:txn	[[:r 11 nil] [:append 7 18] [:r 11 nil] [:append 11 9]]
77	:ok	:txn	[[:r 11 [6 5]] [:append 7 18] [:r 11 [6 5]] [:append 11 9]]
201	:invoke	:txn	[[:r 11 nil]]
230	:info	:txn	[[:append 9 26]]	[:timeout nil]
77	:invoke	:txn	[[:append 11 10] [:append 9 29] [:r 11 nil] [:append 11 11]]
77	:fail	:txn	[[:append 11 10] [:append 9 29] [:r 11 nil] [:append 11 11]]	[:duplicate-key etcdserver: duplicate key given in txn request]
245	:invoke	:txn	[[:r 11 nil]]
:nemesis	:info	:kill	{"n3" nil}
201	:info	:txn	[[:r 11 nil]]	[:timeout nil]
245	:info	:txn	[[:r 11 nil]]	[:timeout nil]
:nemesis	:info	:start	:all
:nemesis	:info	:start	{"n1" :started, "n2" :started, "n3" :started, "n4" :already-running, "n5" :already-running}
